Subject: Re: [bug#42465] [PATCH 10/10] gnu: Add python-mypy.

From: Marius Bakke <[email-masked]>
Date: Thu, 30 Jul 2020 00:20:35 +0200

Tanguy Le Carrour <[email-masked]> writes:

> Hi Marius,
>
> The emails that will follow contain the updated patch set.
> I think I've addressed all the problems you reported. Thanks again!
> There are two things that I'll changed:
>
> - `python-flake8-bugbear`: I've disabled a test that fails on slow
>   computers like mine. Was it the proper thing to do?!
> - `python-hypothesmith` now uses `python-hypothesis-5.23` even though
>   `python-flake8-bugbear` still uses `python-hypothesis`.
>
> Just to make sure, I'll sum up your comments below.
>
> * [PATCH 02/10] gnu: python-hypothesis: Update to 5.20.0.
>> This can not be applied on 'master' because Hypothesis has 6261
>> dependent packages. […] you can add a different variable with the new
>> hypothesis.
>
> Done! I've updated it to 5.23.0.

Great.  :-)

> * [PATCH 03/10] gnu: Add python-mypy-extensions.
> * [PATCH 04/10] gnu: Add python-typing-inspect.
> * [PATCH 05/10] gnu: Add python-libcst.
> * [PATCH 06/10] gnu: Add python-lark-parser.
> * [PATCH 07/10] gnu: Add python-hypothesmith.
>
> Thanks for all your helpful comments regarding synopsis and description.
> I'd have accepted a global "run the f@#*!g linter", though! :-)

Heheh.  I have become linter.  

> To be honest, I'm not yet comfortable with editing the info I get from
> a project's page, so I mostly copy/paste… which, I know, is bad! I'll
> work on that!

I find it is often the most difficult part of packaging.  How to convey
[upstream description] in [neutral language for noob].  Occasionally
I'll peek at Debians description which are typically pretty good (but
don't tell anyone!).

> * [PATCH 08/10] gnu: Add python-flake8-bugbear.
>> I realize now that hypothesmith is probably a hypothesis plugin?
>> In that case it should not propagate hypothesis IMO.
>
> Unfortunately, it does not build if I drop it.

Ah right, I was not entirely clear.  I meant the Hypothesis input should
probably be native (for tests), but not propagated so that other
packages could use it with other Hypothesis versions.  Making plugin
packages not propagate the package they "plug in to" is a favorite
nit-pick of mine, often causing great confusion...

This case is complicated since Hypothesmith depends on a newer version
of Hypothesis, maybe the plugin only works with that newer version?  In
which case propagating makes a lot of sense.  Anyway it's not a big deal
either way, so let's not go there.  :-)

> * [PATCH 09/10] gnu: Add python-flake8-pyi.
>> No punctuation or article (you probably got that by now). :-)
>
> Yeah, I think I'm starting to see where you're going with this! :-D
>
> * [PATCH 10/10] gnu: Add python-mypy.
>> Perhaps s/Optional//?  I mean, if it was mandatory, wouldn't it be part
>> of cpython?
>
> Removed!
>
> I've built, installed and tested MyPy successfully! Thanks again for
> your help!

Awesome, I applied the series as-is.  Thanks for your work!